var CertificateManagerService = Class.create({
	initialize: function(){
		Mojo.Log.info('cert service initialize');
	},
	
	listCerts: function(params, success, failure, sceneController){
		Mojo.Log.info('certificate list');
		return sceneController.serviceRequest('palm://com.palm.certificatemanager', {
			method: 'listcertificates',
			parameters: params,
			onSuccess: success,
			onFailure: failure
		});
	},
	
	getCertDetails: function(params, success, failure, sceneController){
		Mojo.Log.log('certificate details');
		return sceneController.serviceRequest('palm://com.palm.certificatemanager', {
			method: 'getcertificatedetails',
			parameters: params,
			onSuccess: success,
			onFailure: failure
		});
	}
});
